OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
StepToTopoDS

# StepToTopoDS_PointPair Class Reference

Stores a pair of Points from step
.

`#include <StepToTopoDS_PointPair.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToTopoDS_PointPair (const Handle(StepGeom_CartesianPoint)&P1, const Handle(StepGeom_CartesianPoint)&P2)
## Private Attributes
Handle_StepGeom_CartesianPoint | myP1
Handle_StepGeom_CartesianPoint | myP2

## Constructor & Destructor Documentation

Standard_EXPORT StepToTopoDS_PointPair::StepToTopoDS_PointPair | ( | const Handle(StepGeom_CartesianPoint)& | P1,
|  | const Handle(StepGeom_CartesianPoint)& | P2
| ) |

## Member Function Documentation

void StepToTopoDS_PointPair::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepToTopoDS_PointPair::operator new | ( | size_t | size | ) | `[inline]`

void* StepToTopoDS_PointPair::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

## Field Documentation

Handle_StepGeom_CartesianPoint StepToTopoDS_PointPair::myP1`[private]`

Handle_StepGeom_CartesianPoint StepToTopoDS_PointPair::myP2`[private]`

The documentation for this class was generated from the following file:

- StepToTopoDS_PointPair.hxx